Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# MID_Handler Class Reference

Handler class for <monolithicimplementationdescription> type. More...

`#include <MID_Handler.h>`

Inheritance diagram for MID_Handler:

[legend]
Collaboration diagram for MID_Handler:

[legend]
List of all members.

## Public Member Functions
| MID_Handler (DOMDocument *doc, unsigned long filter_)
| MID_Handler (DOMNodeIterator *iter, bool release=false)
| MID_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
void | process_MonolithicImplementationDescription (::Deployment::MonolithicImplementationDescription &mid)
## Protected Member Functions
void | process_exec_parameter_element (DOMNode *node, DOMDocument *doc, DOMNodeIterator *iter, Deployment::MonolithicImplementationDescription &mid)
| process exec parameter element
void | process_attributes_for_property (DOMNamedNodeMap *named_node_map, DOMDocument *doc, DOMNodeIterator *iter, int value, Deployment::Property &ccd_property)
| process attributes for property element
void | process_attributes_for_deploy_requirement (DOMNamedNodeMap *nm, DOMDocument *doc, DOMNodeIterator *iter, int value, Deployment::ImplementationRequirement &req)
| process attributes for deploy requirement
void | process_attributes_for_nia (DOMNamedNodeMap *nm, DOMDocument *doc, DOMNodeIterator *iter, int value, Deployment::NamedImplementationArtifact &nia)
| process attributes for NIA
void | process_refs (DOMNamedNodeMap *named_node_map)
| process IDREFS

## Detailed Description

Handler class for <monolithicimplementationdescription> type.

This class defines handler methods to parse Monolithic Implementation Descroption types in the descriptor files. The corresponding CORBA IDL type for the schema element is returned.

## Constructor & Destructor Documentation

MID_Handler::MID_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) | `[inline]`

MID_Handler::MID_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

MID_Handler::MID_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

## Member Function Documentation

void MID_Handler::process_attributes_for_deploy_requirement | ( | DOMNamedNodeMap * | nm,
|  | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | int | value,
|  | Deployment::ImplementationRequirement & | req
| ) | `[protected]`

| process attributes for deploy requirement

void MID_Handler::process_attributes_for_nia | ( | DOMNamedNodeMap * | nm,
|  | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | int | value,
|  | Deployment::NamedImplementationArtifact & | nia
| ) | `[protected]`

| process attributes for NIA

void MID_Handler::process_attributes_for_property | ( | DOMNamedNodeMap * | named_node_map,
|  | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | int | value,
|  | Deployment::Property & | ccd_property
| ) | `[protected]`

| process attributes for property element

void MID_Handler::process_exec_parameter_element | ( | DOMNode * | node,
|  | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | Deployment::MonolithicImplementationDescription & | mid
| ) | `[protected]`

| process exec parameter element

BEGIN_DEPLOYMENT_NAMESPACE void MID_Handler::process_MonolithicImplementationDescription | ( | ::Deployment::MonolithicImplementationDescription & | mid | ) |

void MID_Handler::process_refs | ( | DOMNamedNodeMap * | named_node_map | ) | `[protected]`

| process IDREFS

The documentation for this class was generated from the following files:

- MID_Handler.h
- MID_Handler.cpp